#include <SPI.h>
#include <Mirf.h>
#include <nRF24L01.h>
#include <MirfHardwareSpiDriver.h>

#define MAX_BUFF 5 //Буфер приёма-передачи
#define RF_CHANNEL 90
#define CE_PIN 8
#define CSN_PIN 10
#define RX_ADDR "home"

char buff[MAX_BUFF];

MirfHardwareSpiDriver MirfHardwareSpi;

void rf24_init()
{
//  MirfSoftwareSpi.set_pins(9, 8, 7);
  Mirf.spi = &MirfHardwareSpi;
  Mirf.cePin = CE_PIN;

  Mirf.csnPin = CSN_PIN;
  Mirf.init();
 
  Mirf.setRADDR((byte *)RX_ADDR); //Здесь задаём собственный адрес
  Mirf.payload = MAX_BUFF; //Здесь задаём буфер
  Mirf.channel = RF_CHANNEL;
  //Это канал приёма-передачи - должен быть одинаковым у устройств.
  Mirf.config();
}
#define ch_cnt 4
uint8_t led_pin[ch_cnt] = {6,5,9,3};
uint8_t led_val[ch_cnt] = {0,0,0,0};
void setup()
{
//  Serial.begin(9600);
  rf24_init();
  pinMode(2, INPUT);
  for(int i=0;i<ch_cnt;i++) pinMode(led_pin[i], OUTPUT);
}

void loop()
{
  if(Mirf.dataReady()) 
    Mirf.getData((uint8_t *)buff);
  for(int i=0;i<ch_cnt;i++)
  {
    int v = buff[i];
    if (led_val[i]!=v) {
      analogWrite(led_pin[i], v);
      led_val[i] = v;
    }
    //Serial.print("ch[");Serial.print(i);Serial.print("]=");Serial.print(v);
  }
//  Serial.println();
  delay(100);  
}
